GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/i386-fbsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <sys/sysctl.h>`
`#include <sys/user.h>`
`#include "fbsd-nat.h"`
`#include "i386-tdep.h"`
`#include "x86-nat.h"`
`#include "x86-xstate.h"`
`#include "x86-bsd-nat.h"`
`#include "i386-bsd-nat.h"`
`#include <machine/pcb.h>`
`#include "bsd-kvm.h"`

Go to the source code of this file.

## Functions
static void | i386fbsd_resume (struct target_ops *ops, ptid_t ptid, int step, enum gdb_signal signal)
static int | i386fbsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
void | _initialize_i386fbsd_nat (void)

## Function Documentation

## ◆ _initialize_i386fbsd_nat()

void _initialize_i386fbsd_nat | ( | void |  | ) |

Definition at line 151 of file i386-fbsd-nat.c.

References bsd_kvm_add_target(), fbsd_nat_add_target(), i386bsd_target(), i386fbsd_resume(), i386fbsd_sigtramp_end_addr, i386fbsd_sigtramp_start_addr, i386fbsd_supply_pcb(), target_ops::to_read_description, and target_ops::to_resume.

## ◆ i386fbsd_resume()

static void i386fbsd_resume | ( | struct target_ops * | ops,
|  | ptid_t | ptid,
|  | int | step,
|  | enum gdb_signal | signal
| ) |  |
| static

Definition at line 41 of file i386-fbsd-nat.c.

References gdb_signal_to_host(), get_current_regcache(), I386_EFLAGS_REGNUM, inferior_ptid, perror_with_name(), pid, PT_CONTINUE, PT_STEP, ptid_get_pid(), ptrace(), regcache_cooked_read_unsigned(), and regcache_cooked_write_unsigned().

Referenced by _initialize_i386fbsd_nat().

## ◆ i386fbsd_supply_pcb()

static int i386fbsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 93 of file i386-fbsd-nat.c.

References I386_EBP_REGNUM, I386_EBX_REGNUM, I386_EDI_REGNUM, I386_EIP_REGNUM, I386_ESI_REGNUM, I386_ESP_REGNUM, I386_GS_REGNUM, and regcache_raw_supply().

Referenced by _initialize_i386fbsd_nat().